namespace NetWorkMessage
{
    public interface IMessage
    {
        
    }

    public interface IRequest : IMessage
    {
        uint RpcId
        {
            get;
            set;
        }
    }

    public interface IResponse : IMessage
    {
        int Error
        {
            get;
            set;
        }

        string Message
        {
            get;
            set;
        }

        uint RpcId
        {
            get;
            set;
        }
    }
}